QGIS Application - Bug report #15344
erroneous data entry form (drag and drop designer)
2016-07-26 12:25 PM - Lukasz Sychowicz

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.16.0 Regression?: No
Operating System: Winddows Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 23276
Description

hen | create more than 1 tabs with forms and put the coursor between existing letters and | try to write anything then coursor after typing
one letter jumps to the end of sentence

ohh, sorry for my english

| created a video where you can see everything

https://youtu.be/5sJzK4vLP3E

v2.16,2.14

History

#1 - 2016-07-31 10:33 AM - Matthias Kuhn

This happens if you put the same field more than once onto the form (regardless of the number of tabs), correct?

For your info: in 2.16 you can also put the fields outside the tabs. | guess with this new functionality we can remove the possibility to add a field multiple
times. And therefore avoid this bug. Do you think that works?

#2 - 2017-05-01 01:02 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#3 - 2017-09-22 09:55 AM - Jiirgen Fischer
- Category set to Unknown

#4 - 2019-03-09 03:08 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
https://youtu.be/5sJzK4vLP3E
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

2025-04-27 22



